#
# spec file for package yast2-http-server (Version 2.13.17)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx boost boost-devel bzip2 checkmedia coreutils cpio cpp cracklib curl curl-devel cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib dbus-1-mono dejagnu desktop-translations diffutils docbook-xsl-stylesheets docbook_4 doxygen e2fsprogs e2fsprogs-devel expat expect file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip hal hal-devel hwinfo info insserv iproute2 klogd ldapcpplib less libacl libattr libcom_err libgcc libgcrypt libgpg-error libicu libidn libidn-devel libnscd libpng libstdc++ libstdc++-devel libtool libusb libxcrypt libxml2 libxml2-devel libxslt liby2util liby2util-devel libzio libzypp libzypp-devel libzypp-zmd-backend m4 make man mktemp module-init-tools mono-core mono-data mono-web ncurses ncurses-devel net-tools netcfg openldap2-client openslp openssl openssl-devel pam pam-modules parted patch pcre pcre-devel perl perl-Digest-SHA1 perl-Parse-RecDescent perl-URI perl-X500-DN perl-XML-Parser perl-XML-Writer perl-gettext permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils rcs readline rpm rpm-devel rug sed sgml-skel sqlite strace suseRegister sysconfig sysfsutils sysvinit tar tcl tcpd texinfo timezone unzip update-desktop-files util-linux vim wireless-tools yast2 yast2-core yast2-core-devel yast2-country yast2-devtools yast2-dns-server yast2-hardware-detection yast2-inetd yast2-installation yast2-ldap yast2-ldap-client yast2-mail-aliases yast2-network yast2-packager yast2-pam yast2-perl-bindings yast2-pkg-bindings yast2-security yast2-slp yast2-storage yast2-storage-lib yast2-testsuite yast2-users zlib zlib-devel zmd

Name:           yast2-http-server
Version:        2.13.17
Release:        1.2
License:        GPL
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-http-server-2.13.17.tar.bz2
prefix:		/usr
BuildRequires:  docbook-xsl-stylesheets doxygen libxslt perl-XML-Writer popt-devel sgml-skel update-desktop-files yast2 yast2-devtools yast2-dns-server yast2-network yast2-packagemanager-devel yast2-perl-bindings yast2-testsuite
Requires:       yast2 yast2-network yast2-firewall yast2-perl-bindings libzio
BuildArchitectures:	noarch
Summary:        YaST2 - HTTP Server Configuration

%description
This package contains the YaST2 component for HTTP server (Apache2)
configuration.



Authors:
--------
    Stanislav Visnovsky <visnov@suse.cz>

%debug_package
%prep
%setup -n yast2-http-server-2.13.17

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir /usr/share/YaST2/include/http-server
/usr/share/YaST2/include/http-server/*
/usr/share/YaST2/clients/http-server.ycp
/usr/share/YaST2/clients/http-server_*.ycp
/usr/share/YaST2/modules/*
%{prefix}/share/applications/YaST2/http-server.desktop
/usr/share/YaST2/scrconf/*
/usr/lib/YaST2/servers_non_y2/*
%doc %{prefix}/share/doc/packages/yast2-http-server

%changelog -n yast2-http-server
* Mon Jun 12 2006 - mzugec@suse.cz
- fixed reopened bug #177797 - assigning to firewall zones using 'any' string
* Tue May 30 2006 - mzugec@suse.cz
- fixed #176722 - assigned loopback for firewall
* Tue May 30 2006 - mzugec@suse.cz
- fixed #177797 - in wizard mode open/close firewall only for assigned zones
* Mon May 15 2006 - mzugec@suse.cz
- fixed #175516 - open firewall on selected ports checkbox is always checked by default
* Tue May 09 2006 - mzugec@suse.cz
- fixed #173801 - autoyast profile problem (virtualhosts use IP/server_name syntax)
* Fri Apr 07 2006 - mzugec@suse.cz
- #164036 - Bad entry in http-server for UserDir
* Thu Mar 23 2006 - mzugec@suse.cz
- fixed #160315 - check if user is root
* Thu Mar 16 2006 - mzugec@suse.cz
- fixed #157922 - ssl apache flag
* Wed Mar 15 2006 - mzugec@suse.cz
- fixed problem in validate_servername()
* Wed Mar 15 2006 - mzugec@suse.cz
- fixed #157895 - handling firewall settings
* Mon Mar 13 2006 - mzugec@suse.cz
- fixed #152015 - added mod_apparmor to modules, apache2.0->2.2 modules
* Fri Feb 17 2006 - mzugec@suse.cz
- fixed #147600 - dont use unconfigured dns
* Thu Feb 16 2006 - mzugec@suse.cz
- fixed #147613 - optimalize listen dialog for 25 lines
* Mon Jan 23 2006 - mzugec@suse.cz
- NetworkManager confirmation
* Mon Jan 23 2006 - mzugec@suse.cz
- proofread
* Mon Jan 23 2006 - mzugec@suse.cz
- fixed #128226 - enabled basic modules
* Tue Dec 20 2005 - mzugec@suse.cz
- initial SL10.1
* Thu Dec 15 2005 - mzugec@suse.cz
- remove deprecated lookup
* Thu Dec 15 2005 - mzugec@suse.cz
- change deprecated find to search
* Tue Nov 29 2005 - mzugec@suse.cz
- fixed #135884 - wizard mode without network cards
* Wed Nov 09 2005 - mzugec@suse.cz
- tabbed main dialog
* Thu Oct 20 2005 - visnov@suse.cz
- fix typo
* Wed Oct 19 2005 - visnov@suse.cz
- added type info for HTTPData::Error
* Thu Oct 13 2005 - mzugec@suse.cz
- proofread
* Tue Sep 06 2005 - mzugec@suse.cz
- fixed (#115301)
* Mon Aug 29 2005 - mzugec@suse.cz
- fixed (#106203)
* Fri Aug 19 2005 - mzugec@suse.cz
- add write to dns
* Tue Aug 09 2005 - mzugec@suse.cz
- fixed bug #102560 rpm requires from Read()
* Tue Aug 09 2005 - mzugec@suse.cz
- fixed (#102561) missing help
* Fri Aug 05 2005 - mzugec@suse.cz
- wizard for virtual hosts with public_html
* Fri Aug 05 2005 - mzugec@suse.cz
- fixed bug #102310 (virtual servers in wizard mode)
* Wed Aug 03 2005 - mzugec@suse.cz
- wizard for virtual hosts with DirectoryIndex
* Mon Aug 01 2005 - mzugec@suse.cz
- wizard for virtual hosts with cgi
* Fri Jul 29 2005 - mzugec@suse.cz
- wizard for virtual hosts with ssl
* Thu Jul 28 2005 - mzugec@suse.cz
- changed  wizard for virtual hosts
* Mon Jul 18 2005 - mzugec@suse.cz
- rewrited aviable options from modules map
* Wed May 04 2005 - visnov@suse.cz
- replaced 'default'
* Tue Apr 19 2005 - mzugec@suse.de
- upgrade to new ProductFeatures
* Tue Apr 19 2005 - mzugec@suse.de
- compatibility for new ProductFeatures
* Fri Apr 15 2005 - mzugec@suse.de
- fixed #75268 ssl configuration and #77921 virtual hosts
* Tue Mar 15 2005 - mzugec@suse.cz
- fixed #72327, APACHE_MODULES problem
* Mon Feb 28 2005 - visnov@suse.cz
- fixed localization problems
* Mon Feb 21 2005 - mzugec@suse.cz
- wizard dialogs on first run of http-server
* Tue Feb 01 2005 - miso@suse.cz
- show relevant data by pressing back button in SSL dialog
* Fri Jan 28 2005 - mzugec@suse.cz
- don't show certificate helps on box
- 2.11.3
* Wed Dec 15 2004 - visnov@suse.cz
- cleanup NFB
- 2.11.2
* Tue Nov 02 2004 - visnov@suse.cz
- fix module
- 2.11.1
* Tue Nov 02 2004 - visnov@suse.cz
- adapt for new Mode
- 2.11.0
* Mon Nov 01 2004 - visnov@suse.cz
- agent should not crash on errors (#46323)
- fix import of firewall and its handling in autoyast UI
* Tue Oct 19 2004 - locilka@suse.cz
- using global text-messages anywhere it is possible
* Tue Oct 05 2004 - visnov@suse.cz
- set module state also according to the needed packages (#46662)
- prompt for installing packages needed by modules (#46661)
- 2.10.8
* Fri Sep 24 2004 - visnov@suse.cz
- quoting bug in directory path fixed (#45922)
- 2.10.7
* Mon Sep 20 2004 - jsrain@suse.cz
- fixed Table/Popup's complains about unknown attributes (#45613)
- 2.10.6
* Mon Sep 13 2004 - visnov@suse.cz
- also validate server admin email
- 2.10.5
* Mon Sep 06 2004 - visnov@suse.cz
- added SetModified and GetModified for autoyast
- 2.10.4
* Mon Aug 30 2004 - visnov@suse.cz
- fixed reloading of server
- fixed log viewing
- 2.10.3
* Mon Aug 30 2004 - nashif@suse.de
- Added GetModified function to _auto client
* Fri Aug 27 2004 - visnov@suse.cz
- merged proofread texts
- fixing SSL option handling (#42783)
* Thu Aug 26 2004 - visnov@suse.cz
- allow the same option multiple times (#42783)
* Wed Aug 25 2004 - visnov@suse.cz
- really adapt the firewall
- for autoyast, allow to change the config
* Mon Aug 16 2004 - visnov@suse.cz
- fixed types of functions for CWM
- 2.10.2
* Tue Aug 10 2004 - jsrain@suse.cz
- merged texts from proofread
* Wed Aug 04 2004 - visnov@suse.cz
- adapt for the new CWM interface
- fix crashes via invalid function pointers
- 2.10.1
* Tue Aug 03 2004 - visnov@suse.cz
- don't allow certificate management in simple mode
- 2.10.0
* Thu May 20 2004 - visnov@suse.cz
- validate the modified host before accepting (#40141)
- also allow to choose from dynamic IP addresses (#40769)
- 2.9.26
* Tue May 18 2004 - ug@suse.de
- replaced _ by __ in httpdUtils.pm
* Tue May 18 2004 - ug@suse.de
- $VERSION and @CAPABILITIES fixed
* Tue May 18 2004 - ug@suse.de
- checkHostmap during modification too
* Tue May 18 2004 - visnov@suse.cz
- start/stop apache2 server (#40745)
- 2.9.25
* Thu May 13 2004 - visnov@suse.cz
- 2.9.24
* Thu May 13 2004 - ug@suse.de
- wrong SSLCertKeyFile fixed if admins plays
  around a lot with certificates and keys
* Thu May 13 2004 - ug@suse.de
- certificate stuff cleanup and fix of file
  permissions
* Wed May 12 2004 - visnov@suse.cz
- 2.9.23
* Wed May 12 2004 - ug@suse.de
- certificate stuff cleanup and fix for default server
* Wed May 12 2004 - visnov@suse.cz
- implemented import certificate (#40272)
* Wed May 12 2004 - ug@suse.de
- certificate stuff in YaPI::HTTPD fixed
- certificate stuff in YaST::HTTPDData implemented
* Mon May 10 2004 - visnov@suse.cz
- require server admin when creating a new host (#40141)
- fix syntax for description of LogView (#39376)
- setup common certificate (#40272)
- display correct contents after adding user-defined module (#40308)
- correctly reset configuration in autoyast (#38812)
* Mon May 10 2004 - ug@suse.de
- dropped the run-function from YaST/HTTPData.pm
  It was just for testing the stateful API.
* Mon May 10 2004 - ug@suse.de
- using __(...) instead of _(...) now
* Wed May 05 2004 - ug@suse.de
- fixed the path for the certificate files
* Tue May 04 2004 - visnov@suse.cz
- merged in proofread text
* Mon May 03 2004 - ug@suse.de
- fixed bugs found via testscrips
  * server flags are not saved
  * GetModulePackages fixed
* Thu Apr 29 2004 - visnov@suse.cz
- server certificate support UI added
- 2.9.22
* Wed Apr 21 2004 - visnov@suse.cz
- fix type error (#38813)
- cleanup error message in autoyast on adding Listen
* Mon Apr 19 2004 - visnov@suse.cz
- added missing helps (#37334)
- exporting module list for autoyast fixed (#30689)
- 2.9.21
* Fri Apr 16 2004 - ug@suse.de
  . ReloadService implemented
* Mon Apr 05 2004 - ug@suse.de
- order of mod_ldap and mod_auth_ldap fixed (#31436 again)
- 2.9.20
* Fri Apr 02 2004 - visnov@suse.cz
- YaST2 is now GPL
- 2.9.19
* Thu Apr 01 2004 - visnov@suse.cz
- fix CWM-related errors
- show elipsis for more details (#37439)
- hide log button for autoyast
- don't crash autoyast
- 2.9.18
* Thu Apr 01 2004 - ug@suse.de
- removed obsolete code from HTTPD.pm
- fixed firewall stuff
* Wed Mar 31 2004 - visnov@suse.cz
- removed obsolete code (#37652)
- 2.9.17
* Wed Mar 31 2004 - visnov@suse.cz
- 2.9.16
* Tue Mar 30 2004 - visnov@suse.cz
- fixed firewall setting in UI
* Tue Mar 30 2004 - ug@suse.de
- fixed double "NameVirtualHost" entries
- fixed broken DeleteListen()
* Tue Mar 30 2004 - ug@suse.de
- moved internal functions from HTTPD.pm to httpdUtils.pm
* Mon Mar 29 2004 - visnov@suse.cz
- use `Value, not `Enabled in query widget (fix IP-based host validation)
- fix CWM errors
- 2.9.15
* Mon Mar 29 2004 - visnov@suse.cz
- removed debug
- build fix (perl-gettext into NFB)
- 2.9.14
* Fri Mar 26 2004 - visnov@suse.cz
- allow to add directory
- VirtualByName handling fixes
- 2.9.13
* Wed Mar 24 2004 - visnov@suse.cz
- allow to enter port as a part of IP spec for vhosts
- validation of mixing IP-based and name-based vhosts
- fixed configuration of VirtualByName
- 2.9.12
* Wed Mar 24 2004 - visnov@suse.cz
- enable/disable overview widget according to the service status
* Mon Mar 22 2004 - visnov@suse.cz
- default host indication fixed
- directory option is editable now
- 2.9.11
* Fri Mar 19 2004 - visnov@suse.cz
- allow to edit DocumentRoot
- limit length of texts in overview
- more values validation
- 2.9.10
* Wed Mar 17 2004 - visnov@suse.cz
- 2.9.9
* Wed Mar 17 2004 - visnov@suse.cz
- finished help texts
- show abort confirmation dialog
* Tue Mar 16 2004 - visnov@suse.cz
- validate ServerName (#35017)
* Mon Mar 15 2004 - visnov@suse.cz
- added yast2-perl-bindings to requires
- disable old testsuite
- 2.9.8
* Wed Mar 10 2004 - visnov@suse.cz
- do not generate certificate
- set as default works
- use server names in dialogs
- show document root in hosts list
- various fixes
* Wed Mar 10 2004 - visnov@suse.cz
- fixed crash (#35520) - ug@suse.de
- 2.9.7
* Wed Mar 10 2004 - sh@suse.de
- V 2.9.6
- Migration to new wizard
* Mon Mar 08 2004 - visnov@suse.cz
- pack files
* Mon Mar 08 2004 - visnov@suse.cz
- removed yast2-packager from requires
- 2.9.5
* Mon Mar 08 2004 - visnov@suse.cz
- added list of options for hosts (#31438)
- configuration of SSL
- wizard icon added
- general functionality is there
- removed obsolete agents and code
* Wed Mar 03 2004 - visnov@suse.cz
- fix build
- 2.9.4
* Mon Mar 01 2004 - visnov@suse.cz
- some type info
- 2.9.3
* Fri Feb 27 2004 - visnov@suse.cz
- merged proofread texts
* Wed Feb 25 2004 - visnov@suse.cz
- helps
- new UI design implemented, read-only
* Mon Feb 09 2004 - visnov@suse.cz
- drop y2cc file
- fixed neededforbuild
- 2.9.2
* Fri Feb 06 2004 - visnov@suse.cz
- fixes for NI (it at least starts)
- 2.9.1
* Wed Oct 29 2003 - visnov@suse.cz
- fix testsuite
- adapted for TablePopup
- 2.9.0
* Mon Sep 22 2003 - visnov@suse.de
- fix #31438 - if user adds its own options to the
  configuration, write them to the httpd.conf without
  any changes
- show only packages, which are not installed, not
  all packages required be the enabled modules.
- 2.8.17
* Fri Sep 19 2003 - visnov@suse.de
- refix #31306 - handle PHP as a special case.
- 2.8.16
* Thu Sep 18 2003 - visnov@suse.de
- do not trigger package installation for modules, if
  user didn't change module configuration. This way, default
  configuration can contain PHP4, but YaST2 will not ask to install
  corresponding package until user changes module status.
  (#31306)
- 2.8.15
* Mon Sep 15 2003 - visnov@suse.de
- setenvif should be on by default (#30689)
- 2.8.14
* Sat Sep 13 2003 - nashif@suse.de
- Enable service in autoinst mode
- Fixed package list for autoinstall
- 2.8.13
* Fri Sep 12 2003 - visnov@suse.de
- first test installed MPMs, then try to install at least one (#30567)
- 2.8.12
* Mon Sep 08 2003 - nashif@suse.de
- #30291: return list of required packages when autoinstalling
- 2.8.11
* Mon Sep 08 2003 - visnov@suse.de
- fix autoyast mode (similar to #30161)
- 2.8.10
* Fri Sep 05 2003 - visnov@suse.de
- merged in proofread texts
- 2.8.9
* Tue Sep 02 2003 - visnov@suse.de
- show document root from sysconfig or /etc/apache2/default-server.conf (#29674)
* Mon Sep 01 2003 - visnov@suse.de
- do not configure document root (#29674)
- better handle older configs: do not require listen.conf, do not allow
  empty Listen list, write it to listen.conf
- 2.8.8
* Fri Aug 29 2003 - visnov@suse.de
- fix php4 needed package (#29659)
* Fri Aug 29 2003 - visnov@suse.de
- fix command line interface
- fix autoyast (provide module description after Import)
- close "add user-define module" dialog on Cancel
- 2.8.7
* Fri Aug 29 2003 - visnov@suse.de
- Do not check availability of apache2 package, first try to install it (#29577)
- Install all Apache2 MPMs, because package manager does not handle user
  choices (#29573)
* Mon Aug 25 2003 - visnov@suse.de
- 2.8.6
* Thu Aug 21 2003 - visnov@suse.de
- Add error popup if packages are not installed
* Wed Aug 20 2003 - visnov@suse.de
- Do not show Initializing... dialog
* Mon Aug 18 2003 - visnov@suse.de
- ssl is default, status not
- use /etc/apache2/listen.conf
- do not store any options in httpd.conf anymore
- 2.8.5
* Mon Aug 11 2003 - visnov@suse.de
- merged-in proofread texts
- 2.8.4
* Fri Aug 08 2003 - visnov@suse.de
- Apache2 modules can install additional RPMs
- do not show logs in AutoYaST
- fix httpd agent
- fix syntax errors
- 2.8.3
* Tue Aug 05 2003 - visnov@suse.de
- allow to adapt firewall only if the firewall is enabled
* Mon Aug 04 2003 - visnov@suse.de
- adapt firewall if asked for
- 2.8.2
* Thu Jul 31 2003 - visnov@suse.de
- allow to add user-defined modules
- show all known modules
* Wed Jul 30 2003 - visnov@suse.de
- do not complain about unknown modules
- show unknown modules as well
- 2.8.1
* Wed Jul 30 2003 - visnov@suse.de
- autoyast support added
- command line interface implemented
- allow to show error log
- support for APACHE_ACCESS_LOG from sysconfig
* Thu Jun 19 2003 - visnov@suse.cz
- initial version
